For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceFDX APIChangelog
GuidesAPI ReferenceFDX APIChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
  • Donor Accounts
  • Disbursements
  • Gift Processing
      • GETList Properties
      • GETGet a Property
      • GETList Property Options
      • POSTAssign a Property
LogoLogo
Contact usLogin
Gift ProcessingProperties

Assign a Property

POST
/v1/properties/:id/assign
POST
/v1/properties/:id/assign
$curl -X POST https://api.givechariot.com/v1/properties/property_01j8rs605a4gctmbm58d87mvsj/assign \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "value": {
> "type": "text"
> },
> "resources": {
> "ids": [
> "donation_01j8rs605a4gctmbm58d87mvsj"
> ]
> }
>}'
1{
2 "num_updated": 1
3}

Appends a Property to one or more Donations or Deposits. A maximum of 100 resources can be assigned to a property at a time. The resource identifiers must be of the same resource_type as the Property, otherwise a 400 Bad Request error will be returned.

Was this page helpful?
Previous
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The unique identifier for the property

Request

The request to add a property value to a donation or deposit resource.
valueobjectRequired
resourcesobjectRequired

Response

The response for Properties.assign
num_updatedinteger
The number of resources that were updated.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error